The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Recommended PHP 5.2.10 Build

Discussion in 'General Discussion' started by vlee, Aug 27, 2009.

  1. vlee

    vlee Well-Known Member

    Joined:
    Oct 13, 2005
    Messages:
    272
    Likes Received:
    6
    Trophy Points:
    18
    Location:
    Las Vegas, Nevada, United Stat
    cPanel Access Level:
    Root Administrator
    I want to have a solid PHP 5.2.10 Build that will support all types of websites and scripts out there. This way I will not have to keep recompiling PHP for new modules. Any help would be very greatful.

    So in Main >> Software >> EasyApache (Apache Update)

    Which ones are recommend for what I am looking for below

    Please choose specific options:

    Code:
    Apache Built-in Modules
    
        Options in this color are enabled by default in Apache. That means that you won't see anything added to Apache's configure line unless it is unchecked.
    
        Asis [More Info ↑]
        Auth Digest [More Info ↑]
        AuthnAlias [More Info ↑]
        AuthnAnon [More Info ↑]
        AuthnDBD [More Info ↑]
        AuthnDBM [More Info ↑]
        AuthnDefault [More Info ↑]
        AuthnzLDAP [More Info ↑]
        AuthzDBM [More Info ↑]
        AuthzOwner [More Info ↑]
        Bucketeer
        Cache [More Info ↑]
        CaseFilter
        CaseFilterIn
        Cern Meta [More Info ↑]
        Charset Lite [More Info ↑]
        DAVFs [More Info ↑]
        DAVLock [More Info ↑]
        DBD [More Info ↑]
        Dav [More Info ↑]
          Among other things mod_dav can be used by DAV enabled Frontpage clients instead of FP extensions
    
        Deflate [More Info ↑]
        Disk Cache [More Info ↑]
        Distcache [More Info ↑]
        Dumpio [More Info ↑]
        Echo [More Info ↑]
        Env [More Info ↑]
        Expires [More Info ↑]
        ExtFilter [More Info ↑]
        Mod FCGID [More Info ↑]
          fastcgi support
    
        File Cache [More Info ↑]
        Fileprotect
          Prevent Users from reading other webroots
    
        Frontpage [More Info ↑]
        Headers [More Info ↑]
        Ident [More Info ↑]
        Imagemap [More Info ↑]
        LDAP [More Info ↑]
        Log Forensic [More Info ↑]
        MPM Event [More Info ↑]
          Before choosing *any* MPM read and understand the documentation that can found by clicking "More Info"
    
        MPM Prefork [More Info ↑]
          (recommended) Before choosing *any* MPM read and understand the documentation that can found by clicking "More Info"
    
        MPM Worker [More Info ↑]
          Before choosing *any* MPM read and understand the documentation that can found by clicking "More Info"
    
        MemCache [More Info ↑]
        Mime Magic [More Info ↑]
        Optional Fn Export
        Optional Fn Import
        OptionalHookExport
        Optional Hook Import
        Mod SuPHP [More Info ↑]
          This option will make the following changes to your profile prior to the build:
    
    Enables:
      CGI (PHP v4)
      CGI (PHP v5)
    
        Proxy [More Info ↑]
          required for cPanel/WHM/Webmail/Webdisk proxy VirtualHost support
    
        Speling [More Info ↑]
        UniqueId [More Info ↑]
        Usertrack [More Info ↑]
        Version [More Info ↑]
        Vhost Alias [More Info ↑]
    
    Other Modules
        EAccelerator for PHP [More Info ↑]
          v0.9.5.3 - caches compiled PHP pages ONLY when running in a persistent (DSO/FCGID) manner
    
        IonCube Loader for PHP [More Info ↑]
          3.1.34 - please read documentation that can found by clicking "More Info" to fully understand this option
    
        Mod Bandwidth [More Info ↑]
          v2.1 for Apache 1.3, v0.8 for Apache 2.x - see documentation that can found by clicking "More Info" for details
    
        Tomcat [More Info ↑]
          v5.5.27 - Experts ONLY: Do not install this unless you have a tomcat admin.
    
        Mod Mono (.Net 1.x) [More Info ↑]
          v2.2 - Experts ONLY: Do not install this unless you have a mono admin This option will make the following changes to your profile prior to the build:
    
    Disables:
      Mod Mono (.Net 2.x)
    
        Mod Mono (.Net 2.x) [More Info ↑]
          Not currently compatible with mod_mono .Net 1.x support, one will be dropped This option will make the following changes to your profile prior to the build:
    
    Disables:
      Mod Mono (.Net 1.x)
    
        Mod Perl [More Info ↑]
          v2.0.4 - not needed to run CGI scripts
    
        Mod Security [More Info ↑]
          v1.9.5 for Apache 1.3, v2.5.9 for Apache 2.x This option will make the following changes to your profile prior to the build:
    
    Enables:
      UniqueId
    
        Suhosin for PHP [More Info ↑]
          v0.9.27 - please read documentation that can found by clicking "More Info" to fully understand this option
    
        SourceGuardian Loader for PHP [More Info ↑]
          7.1 - please read documentation that can found by clicking "More Info" to fully understand this option
    
        Zend Optimizer for PHP [More Info ↑]
          3.3.3 - please read documentation that can found by clicking "More Info" to fully understand this option
    
    By choosing this option you are signifying agreement and compliance with the license at http://static.zend.com/topics/guard-license-agreement.txt. If you do not agree to those terms you must not choose this option.
    
        Bcmath [More Info ↑]
        Bz2 [More Info ↑]
        CGI [More Info ↑]
        Calendar [More Info ↑]
        Concurrent DSO patch [More Info ↑]
          Allows PHP 4 and 5 to load simultaneously as Apache modules (not compatible with Zend optimizer and some extensions)
    
        Curl [More Info ↑]
        CurlSSL [More Info ↑]
        Curlwrappers [More Info ↑]
        Dbase [More Info ↑]
        Discard Path
          may interfere with running PHP as CGI
    
        Exif [More Info ↑]
        Expat [More Info ↑]
          You may need this to address PHP Bugs: #45996: libxml2 2.7.1 causes breakage with character data in xml_parse() for PHP 5.2.8 and older
    
        FTP [More Info ↑]
        Fastcgi
          This option will make the following changes to your profile prior to the build:
    
    Enables:
      Mod FCGID
    
        Force CGI Redirect [More Info ↑]
        GD [More Info ↑]
          This option will make the following changes to your profile prior to the build:
    
    Enables:
      Zlib
    
        Gettext [More Info ↑]
        Iconv [More Info ↑]
          Support iconv character set conversion facility
    
        Imap [More Info ↑]
        MM [More Info ↑]
        Magic Quotes [More Info ↑]
        MailHeaders [More Info ↑]
        Mbregex
        Mbstring [More Info ↑]
        Mcrypt [More Info ↑]
        Mhash [More Info ↑]
        Mime Magic [More Info ↑]
        Ming [More Info ↑]
          (Not Recommended due to various problems) using ming library 0.4.2
    
        Mysql [More Info ↑]
          compile MySQL support using the PHP bundled libraries (if the System MySQL option is checked it takes precedence over this option)
    
        Mysql of the system [More Info ↑]
          compile mysql (and mysqli if its checked) support against the system libraries
    
        MySQL "Improved" extension. [More Info ↑]
          MySQLi does not replace the standard MySQL extension. Requires MySQL 4.1 or later. !! mysqli may not work on all systems, contact your support provider for mysqli support !!
    
        Openssl [More Info ↑]
        PDO [More Info ↑]
          Includes SQLite support. MySQL support is available. If you plan on installing or updating PDO drivers (freetds, oracle, etc) via PECL you might want to skip this option as PECL will install the version of PDO it has.
    
        PDO MySQL [More Info ↑]
          This option will make the following changes to your profile prior to the build:
    
    Enables:
      PDO
    
        POSIX [More Info ↑]
        Path Info Check
        Pear [More Info ↑]
        PGsql [More Info ↑] click here for details
          Requires PostgreSQL 7.3 or higher to already be installed. You can do that with /scripts/installpostgres
    
        Pspell [More Info ↑]
        SNMP [More Info ↑]
          Requires the SNMP Dev libraries to be installed first!!!
    
        SOAP [More Info ↑]
        SafeMode [More Info ↑]
        Safe PHP CGI
          prevents users from overriding system php.ini
    
        Sockets [More Info ↑]
        TTF (FreeType) [More Info ↑]
        Tidy [More Info ↑]
        Wddx [More Info ↑]
        XSL [More Info ↑]
        XmlRPC [More Info ↑]
        Zend Multibyte
        Zip [More Info ↑]
        Zlib [More Info ↑]
          Requires that zlib is installed and up to date
     
    #1 vlee, Aug 27, 2009
    Last edited by a moderator: Jun 2, 2015
  2. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    Uhm, the profile I gave you earlier today will build PHP such that you will have pretty much every feature available and work with every script out there just about.

    If you want to extend things any further, you could install FFMpeg (popular) and look through the optional PEAR and PECL (pecl.php.net) modules and install those that look useful (imagick comes to mind).

    However other than the above, I have seen your updated phpinfo() screen and you pretty much got everything that's available out there setup to the degree of still running without creating internal conflicts so you should be pretty much set and ready to go.
     
Loading...

Share This Page